% vdp3.m
% integration de     dx/dt =  y + x - x**3   ,     dy/dt =  -x
%       schema de Runge et Kutta 
% la solution exacte est l attracteur de Van der Pol
% fd, iacs, 18 septembre, 19 decembre 2004, 2 janvier 2005, 25 fevrier 2025
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% xlabel ('vdp3. Cycle limite non lineaire avec le schema de Runge et Kutta d ordre 4.') ;
%%% title ('Oscillateur de Van der Pol') ;
% title ('Cnam Paris. Travaux pratiques Iacs.') ;
n=10 ;  dt=1/n
x=0.01 ,  y=0


xrk(1,1)=0.01  ;  xrk(2,1)=0 ;
	  
hold off ; plot ( xrk(1,1) ,  xrk(2,1) , 'ob;depart;')  ; hold on 
	  
niter = 6*n 
traj=zeros(niter+1,2) ; traj(1,:) =  xrk ; 

for i=1:niter ;

xnrk  = rk(xrk,dt) ;

traj(i+1,:) = xnrk ;

xrk=xnrk ;
end ;
xn , yn 
  traj ; 

plot ( traj(:,1) , traj(:,2), '*k;trajectoire;') ; hold on 
axis ([ -.12 , .025 ,  -.05 , .22  ]) 
title ('Oscillateur de Van der Pol : schema de  Runge et Kutta') ;
	  plot ( xn, yn , '*r;arrivee;') ; hold off 
	  
%%% print -dpdf 04-vdp3.pdf
%%% print -djpg 04-vdp3.jpg
print('04-vdp3.jpg', '-djpg', '-S891,630');


